#!/bin/bash

set -x
set -e

# Créer un utilisateur avec l'UID et le GID spécifiés
USER_UID=${USER_UID:-1000}
USER_GID=${USER_GID:-1000}
USERNAME=${USERNAME:-eeadmin}
GROUPNAME=${GROUPNAME:-${USERNAME}}
HOME=${HOME:-/home/${USERNAME}}
groupadd -g "$USER_GID" "$GROUPNAME"
useradd -u "$USER_UID" -g "$USER_GID" -d "$HOME" --no-create-home -s /bin/bash "$USERNAME"

# Exécuter la commande passée en argument
exec su "$USERNAME" -c "${@:-geemyle}"
